Bug 489933 - "PANIC: early exception" during Fedora 11 Alpha x86_64 install on Athlon 64 x2
"PANIC: early exception" during Fedora 11 Alpha x86_64 install on Athlon 64 x2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-03-12 11:42 EDT by Spencer Shimko
Modified: 2010-06-28 07:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:27:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Spencer Shimko 2009-03-12 11:42:42 EDT
Description of problem:

During installation, technically before it starts, there is an early kernel panic immediately after loading the initrd:

"Loading initrd.img.......
Probing EDD (edd=off to disable).... ok

PANIC: early exception 0e rip 10:ffffffff8106b780 error 0 cr2 0"


Version-Release number of selected component (if applicable):

Fedora-11 x86_64 Alpha DVD

How reproducible:

Every time I try to kickoff an install.

Steps to Reproduce:
1. Insert Fedora 11 x86_64 Alpha installation DVD.
2. Boot off the disc.
3. Select a menu option that boots the default x86_64 kernel (not the memtest86 menu item).
4. Watch for the panic.
  
Actual results:
Kernel panic.

Expected results:
No kernel panic.

Additional info:
I started with 4GB of RAM, went down to 1GB and ran memtest86+ to ensure it was not a memory/slot issue.  memtest86+ ran cleanly with no errors reported for several hours.

I tried noapic, noacpi, edd=off, nosmp, no effect.

Hardware: 
Dell Optiplex 740
Athlon 64 x2
1GB-4GB of RAM (tried various combinations)
Comment 1 Chuck Ebbert 2009-03-26 00:03:00 EDT
exception was in look_up_lock_class()

Can you try the boot option 'prove_locking=0' and also maybe 'lock_stat=0'?
Comment 2 Spencer Shimko 2009-03-26 11:46:17 EDT
Thanks for the suggestion Chuck.

prove_locking=0 resulted in the early exception w/ the same address listed:

"PANIC: early exception 0e rip 10:ffffffff8106b780 error 0 cr2 0"

lock_stat=0 resulted in the same exception as well:

"PANIC: early exception 0e rip 10:ffffffff8106b780 error 0 cr2 0"

Setting both, prove_locking=0 and lock_stat=0 also results in the same exception:

"PANIC: early exception 0e rip 10:ffffffff8106b780 error 0 cr2 0"

Any other thoughts?  This machine seems to be really struggling though.  Only installer I've been successful with is Fedora 8 x86_64.  Fedora 9 and 10 have other issues (BUGON, Panics, etc).  And the F11 i386 had panics as well.  I'm about ready to write it off as buggy hardware but the machine works fine with RHEL5 x86_64 (and F8 as I mentioned).

Only other hardware of notes: 

* ATI graphics card X1300 (Dell P/N 109-a92431-20)
* nVIDIA Quadro NVS 210S Chipset (North Bridge), nForce 430 (South Bridge)


Any other thoughts?
Comment 3 Lubomir Rintel 2009-05-09 13:33:30 EDT
(In reply to comment #2)
> Setting both, prove_locking=0 and lock_stat=0 also results in the same
> exception:
> 
> "PANIC: early exception 0e rip 10:ffffffff8106b780 error 0 cr2 0"

Please try lockdep.prove_locking=0 (and possibly lockdep.lock_stat=0).
Comment 4 Spencer Shimko 2009-05-11 10:03:57 EDT
Thanks.  Tried both lockdep.prove_locking=0 and lockdep.lock_stat=0. No change.  Same panic.
Comment 5 Bug Zapper 2009-06-09 08:10:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:10:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:27:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.